Skip to main content
GET
Read one blind-check plan and where it stands

Authorizations

Authorization
string
header
required

An Agent credential (nits_…), or a person token (nitp_…) on a deployment that enables them. GET /api/v1/session names the principal a credential proves.

Query Parameters

projectId
string
required
Required string length: 1 - 200
planId
string
required
Required string length: 1 - 200

Response

Read one blind-check plan and where it stands

planId
string
required
Minimum string length: 1
projectId
string
required
Minimum string length: 1
branchId
string
required
Minimum string length: 1
stageId
string
required
Minimum string length: 1
agentSubject
string
required
Minimum string length: 1
setupVersion
string | null
required
Pattern: ^setup_[0-9a-f]{40}$
blockedSetupVersion
string | null
required
Pattern: ^setup_[0-9a-f]{40}$
targetRateBasisPoints
integer
required
allowedFailures
integer
required
Required range: x >= 0
plannedChecks
integer
required
confidence
number
required
samplingRateBasisPoints
integer
required
Required range: 1 <= x <= 10000
scanGrouping
string
required
Allowed value: "source_and_dicom_study"
patientGrouping
object
required
status
enum<string>
required
Available options:
running,
passed,
failed,
stopped
stopReason
enum<string> | null
required
Available options:
stopped_by_person,
too_many_not_scored
progress
object
required
statement
object
required
chanceOfPassing
object[]
required
scansToComplete
integer
required
capacity
object | null
required
startedAt
string<date-time>
required

RFC 3339 timestamp in UTC: the offset is Z or +00:00; any other offset is refused.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|[+-]00:00))$
startedBy
object
required
finishedAt
string<date-time>

RFC 3339 timestamp in UTC: the offset is Z or +00:00; any other offset is refused.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|[+-]00:00))$